@import "assets/stylesheets/colors";

.button-container {
  &.full-width {
    max-width: unset;
  }

  &.green {
    background-color: $primary-green !important;
    color: $primary-text;

    &:hover {
      background-color: $secondary-green !important;
    }
  }

  &.red {
    background-color: $primary-red !important;
    color: $primary-text;

    &:hover {
      background-color: $secondary-red !important;
    }
  }

  &.yellow {
    background-color: $primary-yellow !important;
    color: $primary-text;

    &:hover {
      background-color: $secondary-yellow !important;
    }
  }

  .MuiButton-root {
    text-transform: unset;
  }

  max-width: 392px;
  width: 100%;
  height: 42px;
  border-radius: 4px;

  &.default {
    background-color: $primary-purple;
    color: $primary-text;

    &:hover {
      background-color: $secondary-purple;
    }
  }

  &.outline {
    background-color: transparent;
    color: $primary-text;

    &.red {
      color: $primary-red !important;
      background-color: transparent !important;

      &:hover {
        color: $primary-text !important;
        background-color: $primary-red !important;
      }
    }

    &:hover {
      color: $primary-purple;
    }
  }

  &.disabled {
    background-color: $secondary-text !important;
    color: $primary-text;
  }
}